From: "WANG Xuerui" <xen0n@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libpcre2/
Date: Thu, 11 Jan 2024 06:05:05 +0000 (UTC) [thread overview]
Message-ID: <1704950537.ebaa5778d8c189498f3b204f7aa826b7510ac5a1.xen0n@gentoo> (raw)
commit: ebaa5778d8c189498f3b204f7aa826b7510ac5a1
Author: WANG Xuerui <xen0n <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 9 10:50:08 2024 +0000
Commit: WANG Xuerui <xen0n <AT> gentoo <DOT> org>
CommitDate: Thu Jan 11 05:22:17 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ebaa5778
dev-libs/libpcre2: add 10.43_rc1
Unkeyworded; this is mainly for testing out the new JIT support on
loong.
Change to the SRC_URI part: the ftp.pcre.org download site is gone
according to the project homepage, and the release assets are now hosted
on GitHub.
Signed-off-by: WANG Xuerui <xen0n <AT> gentoo.org>
dev-libs/libpcre2/Manifest | 2 +
dev-libs/libpcre2/libpcre2-10.43_rc1.ebuild | 92 +++++++++++++++++++++++++++++
2 files changed, 94 insertions(+)
diff --git a/dev-libs/libpcre2/Manifest b/dev-libs/libpcre2/Manifest
index f7ea84a4872d..0148bb3f0492 100644
--- a/dev-libs/libpcre2/Manifest
+++ b/dev-libs/libpcre2/Manifest
@@ -1,2 +1,4 @@
DIST pcre2-10.42.tar.bz2 1799866 BLAKE2B 40aa096745548c489a00ead87a191a4d24ecd924a5b8f00401c1273176de15ccb23510882467c8e2b5c1256b97db46fba5fcdfbd9f0d61d86a29d74bb4bca7a0 SHA512 72fbde87fecec3aa4b47225dd919ea1d55e97f2cbcf02aba26e5a0d3b1ffb58c25a80a9ef069eb99f9cf4e41ba9604ad06a7ec159870e1e875d86820e12256d3
DIST pcre2-10.42.tar.bz2.sig 310 BLAKE2B 2125d7e23f7e75847573e3caeb8d55da5d8e0df3d166bf8b638b998aebacaefb4e88df7e813d6977af2dc7d82c93b7179ad0043c4f46fc4e06d99d214b0b7fcf SHA512 22ce3c7903835b1cf835ac6cfa725badecc982f1504382e62525c88307b2e3bd8951f2221fdd3d73920843e69f714b6df99fe741069e610f1f809087512a31f7
+DIST pcre2-10.43-RC1.tar.bz2 1901289 BLAKE2B 94ba878ed7a02d359d094daa22517c645b5d660dfab4ce65e9f56c1750abb56280dc0be05b6f675d12891bf9fa857ba7339d9e703b0360d72ee746afcecc6dba SHA512 2b33a50fbff0f7832d40682e7a43bef301016d8a8d74d838f1ab473f09a19c5ea98dcf73cdfa4cda4a01968e50930bb2fc40948c0e4e9c43d9762ee3dd0b1fc7
+DIST pcre2-10.43-RC1.tar.bz2.sig 310 BLAKE2B 4bfaf5209fbeb89fbc0f134921d18d15b35ef24503b910de7d0a420fbfc84831ddd79f8f61fe8a12776eb154e264ac7ff4f55d548a1e1c0ae8f53c32a4ba90e1 SHA512 09b9166f4edc6fc0d4cab66bcc572d9b081ceda3398c510348fab7746c520c4b607c26e13937e45cf3d27e0a94eefca2dddaf4210d2a754c277f1837b9a7f96d
diff --git a/dev-libs/libpcre2/libpcre2-10.43_rc1.ebuild b/dev-libs/libpcre2/libpcre2-10.43_rc1.ebuild
new file mode 100644
index 000000000000..b6cba6f208e6
--- /dev/null
+++ b/dev-libs/libpcre2/libpcre2-10.43_rc1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/philiphazel.asc
+inherit libtool multilib-minimal usr-ldscript verify-sig
+
+MY_P="pcre2-${PV/_rc/-RC}"
+
+DESCRIPTION="Perl-compatible regular expression library"
+HOMEPAGE="https://www.pcre.org/"
+SRC_URI="https://github.com/PCRE2Project/pcre2/releases/download/${MY_P}/${MY_P}.tar.bz2
+ https://ftp.pcre.org/pub/pcre/${MY_P}.tar.bz2
+ verify-sig? ( https://github.com/PCRE2Project/pcre2/releases/download/${MY_P}/${MY_P}.tar.bz2.sig )"
+
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0/3" # libpcre2-posix.so version
+#KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="bzip2 +jit libedit +pcre16 +pcre32 +readline static-libs unicode valgrind zlib"
+REQUIRED_USE="?? ( libedit readline )"
+
+RDEPEND="
+ bzip2? ( app-arch/bzip2 )
+ libedit? ( dev-libs/libedit )
+ readline? ( sys-libs/readline:= )
+ zlib? ( sys-libs/zlib )
+"
+DEPEND="
+ ${RDEPEND}
+ valgrind? ( dev-util/valgrind )
+"
+BDEPEND="
+ virtual/pkgconfig
+ verify-sig? ( sec-keys/openpgp-keys-philiphazel )
+"
+
+MULTILIB_CHOST_TOOLS=(
+ /usr/bin/pcre2-config
+)
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-10.10-000-Fix-multilib.patch
+)
+
+src_prepare() {
+ default
+
+ elibtoolize
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ --enable-pcre2-8
+ --enable-shared
+ $(multilib_native_use_enable bzip2 pcre2grep-libbz2)
+ $(multilib_native_use_enable libedit pcre2test-libedit)
+ $(multilib_native_use_enable readline pcre2test-libreadline)
+ $(multilib_native_use_enable valgrind)
+ $(multilib_native_use_enable zlib pcre2grep-libz)
+ $(use_enable jit)
+ $(use_enable jit pcre2grep-jit)
+ $(use_enable pcre16 pcre2-16)
+ $(use_enable pcre32 pcre2-32)
+ $(use_enable static-libs static)
+ $(use_enable unicode)
+ )
+
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+ emake V=1 $(multilib_is_native_abi || echo "bin_PROGRAMS=")
+}
+
+multilib_src_test() {
+ emake check VERBOSE=yes
+}
+
+multilib_src_install() {
+ emake \
+ DESTDIR="${D}" \
+ $(multilib_is_native_abi || echo "bin_PROGRAMS= dist_html_DATA=") \
+ install
+ multilib_is_native_abi && gen_usr_ldscript -a pcre2-posix pcre2-8
+}
+
+multilib_src_install_all() {
+ find "${ED}" -type f -name "*.la" -delete || die
+}
next reply other threads:[~2024-01-11 6:05 UTC|newest]
Thread overview: 174+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-01-11 6:05 WANG Xuerui [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-22 0:52 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libpcre2/ Sam James
2025-03-13 1:37 Sam James
2025-03-13 1:21 Sam James
2025-03-13 1:21 Sam James
2025-03-13 0:53 Sam James
2025-03-13 0:53 Sam James
2025-03-13 0:45 Sam James
2025-02-09 4:56 Sam James
2025-02-09 4:56 Sam James
2024-08-30 7:59 Sam James
2024-08-29 3:51 Sam James
2024-08-29 3:15 Sam James
2024-08-29 3:15 Sam James
2024-08-29 2:35 Sam James
2024-08-29 2:35 Sam James
2024-06-27 6:37 Sam James
2024-06-27 6:35 Sam James
2024-06-24 0:43 Sam James
2024-04-12 6:26 Arthur Zamarin
2024-03-16 11:11 Sam James
2024-03-03 2:48 Sam James
2024-03-02 22:50 Sam James
2024-03-02 18:25 Arthur Zamarin
2024-02-28 18:52 Arthur Zamarin
2024-02-27 23:39 Jakov Smolić
2024-02-27 23:39 Jakov Smolić
2024-02-17 3:03 Sam James
2024-02-06 22:49 Sam James
2023-12-01 14:58 Andreas K. Hüttel
2023-08-13 8:08 Sam James
2023-08-13 8:08 Sam James
2023-06-29 6:18 Sam James
2023-05-14 17:11 Sam James
2023-05-14 7:26 Sam James
2023-05-14 0:31 Sam James
2023-03-31 11:44 Arthur Zamarin
2023-02-03 6:20 Sam James
2023-02-01 15:58 Arthur Zamarin
2023-01-28 21:49 Jakov Smolić
2023-01-28 9:05 Arthur Zamarin
2023-01-27 10:11 Jakov Smolić
2023-01-27 10:11 Jakov Smolić
2023-01-18 22:09 Sam James
2022-12-16 20:59 Arthur Zamarin
2022-12-13 23:00 Sam James
2022-12-12 17:54 Sam James
2022-12-11 17:55 Arthur Zamarin
2022-12-10 3:26 Sam James
2022-12-10 3:16 Sam James
2022-12-10 3:16 Sam James
2022-12-10 3:16 Sam James
2022-12-10 3:04 Sam James
2022-12-10 3:04 Sam James
2022-10-27 23:55 Sam James
2022-05-19 20:31 Sam James
2022-05-18 14:58 Jakov Smolić
2022-05-18 14:47 Jakov Smolić
2022-05-18 7:58 Agostino Sarubbo
2022-05-18 7:58 Agostino Sarubbo
2022-05-18 7:57 Agostino Sarubbo
2022-05-18 7:57 Agostino Sarubbo
2022-05-18 7:57 Agostino Sarubbo
2022-04-16 4:48 Sam James
2022-04-16 3:07 Sam James
2022-04-12 7:15 Sam James
2022-04-12 7:15 Sam James
2022-03-22 15:12 Mike Gilbert
2022-01-06 9:07 David Seifert
2021-12-14 20:11 Arthur Zamarin
2021-12-13 19:17 Arthur Zamarin
2021-12-13 18:37 Arthur Zamarin
2021-12-13 7:08 Agostino Sarubbo
2021-12-13 7:03 Agostino Sarubbo
2021-12-13 7:02 Agostino Sarubbo
2021-12-13 6:57 Agostino Sarubbo
2021-12-13 6:17 Sam James
2021-10-29 19:17 Sam James
2021-10-03 9:17 Lars Wendler
2021-08-23 2:06 Sam James
2021-08-15 19:51 Sam James
2021-08-11 23:10 Sam James
2021-08-11 0:23 Sam James
2021-08-11 0:12 Sam James
2021-08-11 0:02 Sam James
2021-06-14 9:19 David Seifert
2021-05-27 7:05 Lars Wendler
2021-05-26 23:17 Lars Wendler
2021-05-13 10:59 David Seifert
2021-05-11 15:45 Sergei Trofimovich
2021-05-10 16:03 Sam James
2021-05-09 21:42 Sam James
2021-05-09 10:57 Sam James
2021-05-09 10:57 Sam James
2021-05-09 10:57 Sam James
2021-05-09 10:57 Sam James
2021-02-19 0:48 Thomas Deutschmann
2020-12-27 14:21 Fabian Groffen
2020-12-04 18:20 Lars Wendler
2020-12-04 18:20 Lars Wendler
2020-08-31 23:25 Sam James
2020-08-21 15:36 Agostino Sarubbo
2020-08-21 15:31 Agostino Sarubbo
2020-08-21 15:30 Agostino Sarubbo
2020-08-21 15:27 Agostino Sarubbo
2020-08-19 4:07 Sam James
2020-05-10 14:08 Lars Wendler
2020-04-21 7:44 Lars Wendler
2020-04-20 9:50 Agostino Sarubbo
2020-04-20 9:48 Agostino Sarubbo
2020-04-19 12:16 Agostino Sarubbo
2020-04-19 12:15 Agostino Sarubbo
2020-04-19 12:14 Agostino Sarubbo
2020-04-19 11:17 Mart Raudsepp
2020-04-18 9:18 Agostino Sarubbo
2020-04-17 16:24 Sergei Trofimovich
2020-03-25 18:37 Thomas Deutschmann
2020-03-25 18:37 Thomas Deutschmann
2020-01-16 20:51 Tim Harder
2019-11-22 9:14 Lars Wendler
2019-11-22 8:37 Lars Wendler
2019-11-22 8:37 Lars Wendler
2019-11-13 7:39 Agostino Sarubbo
2019-11-12 13:36 Agostino Sarubbo
2019-11-09 22:55 Matt Turner
2019-11-08 8:35 Mikle Kolyada
2019-11-05 1:17 Aaron Bauman
2019-11-04 21:20 Thomas Deutschmann
2019-11-03 14:03 Mikle Kolyada
2019-11-03 11:56 Piotr Karbowski
2019-11-02 23:20 Sergei Trofimovich
2019-11-01 21:03 Thomas Deutschmann
2019-10-31 20:04 Thomas Deutschmann
2019-05-04 18:38 Andreas K. Hüttel
2019-05-03 16:10 Lars Wendler
2019-05-02 22:09 Mikle Kolyada
2019-05-02 22:09 Mikle Kolyada
2019-05-02 22:09 Mikle Kolyada
2019-04-27 15:48 Sergei Trofimovich
2019-04-26 20:54 Mikle Kolyada
2019-04-22 14:40 Sergei Trofimovich
2019-04-20 18:43 Mikle Kolyada
2019-04-18 20:32 Thomas Deutschmann
2019-04-17 20:01 Sergei Trofimovich
2019-04-17 18:37 Aaron Bauman
2019-04-17 11:26 Mikle Kolyada
2019-04-17 8:43 Lars Wendler
2019-02-27 11:44 Michael Haubenwallner
2018-09-12 8:37 Lars Wendler
2018-06-03 13:55 Mike Frysinger
2018-05-01 16:04 Mikle Kolyada
2018-03-21 7:05 Lars Wendler
2018-03-02 20:35 Mart Raudsepp
2018-02-13 8:22 Lars Wendler
2018-02-13 8:22 Lars Wendler
2017-12-01 22:57 Sergei Trofimovich
2017-09-25 21:50 Sergei Trofimovich
2017-09-25 21:42 Sergei Trofimovich
2017-09-15 20:38 Sergei Trofimovich
2017-08-25 22:34 Matt Turner
2017-08-25 21:33 Mikle Kolyada
2017-08-25 4:44 Markus Meier
2017-08-18 20:45 Sergei Trofimovich
2017-08-18 19:13 Thomas Deutschmann
2017-08-16 9:44 Lars Wendler
2017-06-10 19:06 Sergei Trofimovich
2017-03-13 8:25 Michael Weber
2017-02-14 21:05 Lars Wendler
2017-01-29 16:19 Fabian Groffen
2017-01-22 10:39 Jeroen Roovers
2017-01-02 19:35 Markus Meier
2016-11-16 20:33 Pacho Ramos
2016-11-15 14:53 Tobias Klausmann
2016-08-15 10:05 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1704950537.ebaa5778d8c189498f3b204f7aa826b7510ac5a1.xen0n@gentoo \
--to=xen0n@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox